Subject: Re: [bug#30003] [PATCH 2/2] gnu: services: Add darkstat service.

From: [email-masked] (Ludovic Courtès)
Date: Sun, 07 Jan 2018 14:21:22 +0100

Hello,

宋文武 <[email-masked]> skribis:

> * gnu/services/monitoring.scm: New file.
> * gnu/local.mk (GNU_SYSTEM_MODULES): Add it.
> * doc/guix.texi (Monitoring Services): Document it.

Nice!

I only have minor suggestions:

> +@subsubheading Darkstat Service
> +@cindex darkstat
> +@command{darkstat} is a packet sniffer that captures network traffic,

I think you can remove @command since you’re referring to the software,
not to the command.

> +@example
> +(service darkstat-service-type
> +  (darkstat-configuration
> +    (interface "eth0")))

This should be aligned to the right.  Also perhaps s/eth0/eno1/ to match
common names.

> +@item @code{package} (default: @code{darstat})
                                          ^
Typo.

> +@item @code{bindaddr} (default: @code{"127.0.0.1"})

I’d prefer “address” or “listen-address” or “bind-address” (likewise in
the code.)

Otherwise LGTM, thank you!

Ludo’.